using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace ClienteUI
{
	/// <summary>
	/// Descripcin breve de Paises.
	/// </summary>
	public class Estados : System.Windows.Forms.Form
	{
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button btnAceptar;
		private System.Windows.Forms.Button btnSalir;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtDescripcion;

		//variables locales
		private Entity.Entidad estado;
		private Entity.ListaEntidades listaEstados;
		private Entity.ListaPaises listaPaises;

		private System.Windows.Forms.Button btnGuardar;
		private System.Windows.Forms.TextBox txtEstado;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.ComboBox cboPaises;
		private System.Windows.Forms.Button btnEliminar;
		/// <summary>
		/// Variable del diseador requerida.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Estados()
		{
			//
			// Necesario para admitir el Diseador de Windows Forms
			//
			InitializeComponent();

			//
			// TODO: agregar cdigo de constructor despus de llamar a InitializeComponent
			//
		}

		/// <summary>
		/// Limpiar los recursos que se estn utilizando.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Cdigo generado por el Diseador de Windows Forms
		/// <summary>
		/// Mtodo necesario para admitir el Diseador. No se puede modificar
		/// el contenido del mtodo con el editor de cdigo.
		/// </summary>
		private void InitializeComponent()
		{
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.btnSalir = new System.Windows.Forms.Button();
			this.btnAceptar = new System.Windows.Forms.Button();
			this.txtEstado = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.cboPaises = new System.Windows.Forms.ComboBox();
			this.label3 = new System.Windows.Forms.Label();
			this.txtDescripcion = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.btnGuardar = new System.Windows.Forms.Button();
			this.btnEliminar = new System.Windows.Forms.Button();
			this.groupBox1.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.SuspendLayout();
			// 
			// groupBox1
			// 
			this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox1.Controls.Add(this.btnSalir);
			this.groupBox1.Controls.Add(this.btnAceptar);
			this.groupBox1.Controls.Add(this.txtEstado);
			this.groupBox1.Controls.Add(this.label1);
			this.groupBox1.Location = new System.Drawing.Point(8, 8);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(520, 52);
			this.groupBox1.TabIndex = 0;
			this.groupBox1.TabStop = false;
			// 
			// btnSalir
			// 
			this.btnSalir.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnSalir.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnSalir.Location = new System.Drawing.Point(432, 16);
			this.btnSalir.Name = "btnSalir";
			this.btnSalir.TabIndex = 2;
			this.btnSalir.Text = "&Salir";
			this.btnSalir.Click += new System.EventHandler(this.btnSalir_Click);
			// 
			// btnAceptar
			// 
			this.btnAceptar.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnAceptar.Location = new System.Drawing.Point(328, 16);
			this.btnAceptar.Name = "btnAceptar";
			this.btnAceptar.TabIndex = 1;
			this.btnAceptar.Text = "&Aceptar";
			this.btnAceptar.Click += new System.EventHandler(this.btnAceptar_Click);
			// 
			// txtEstado
			// 
			this.txtEstado.Location = new System.Drawing.Point(64, 16);
			this.txtEstado.Name = "txtEstado";
			this.txtEstado.TabIndex = 0;
			this.txtEstado.Text = "";
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(43, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Estado:";
			// 
			// groupBox2
			// 
			this.groupBox2.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox2.Controls.Add(this.btnEliminar);
			this.groupBox2.Controls.Add(this.cboPaises);
			this.groupBox2.Controls.Add(this.label3);
			this.groupBox2.Controls.Add(this.txtDescripcion);
			this.groupBox2.Controls.Add(this.label2);
			this.groupBox2.Controls.Add(this.btnGuardar);
			this.groupBox2.Location = new System.Drawing.Point(8, 64);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(520, 100);
			this.groupBox2.TabIndex = 1;
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = "Datos Generales";
			// 
			// cboPaises
			// 
			this.cboPaises.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.cboPaises.Location = new System.Drawing.Point(80, 24);
			this.cboPaises.Name = "cboPaises";
			this.cboPaises.Size = new System.Drawing.Size(328, 21);
			this.cboPaises.TabIndex = 5;
			// 
			// label3
			// 
			this.label3.AutoSize = true;
			this.label3.Location = new System.Drawing.Point(40, 24);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(29, 16);
			this.label3.TabIndex = 4;
			this.label3.Text = "Pais:";
			// 
			// txtDescripcion
			// 
			this.txtDescripcion.Location = new System.Drawing.Point(80, 64);
			this.txtDescripcion.Name = "txtDescripcion";
			this.txtDescripcion.Size = new System.Drawing.Size(328, 20);
			this.txtDescripcion.TabIndex = 0;
			this.txtDescripcion.Text = "";
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.Location = new System.Drawing.Point(8, 64);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(67, 16);
			this.label2.TabIndex = 0;
			this.label2.Text = "Descripcion:";
			// 
			// btnGuardar
			// 
			this.btnGuardar.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnGuardar.Location = new System.Drawing.Point(424, 24);
			this.btnGuardar.Name = "btnGuardar";
			this.btnGuardar.TabIndex = 3;
			this.btnGuardar.Text = "&Guardar";
			this.btnGuardar.Click += new System.EventHandler(this.btnGuardar_Click);
			// 
			// btnEliminar
			// 
			this.btnEliminar.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
			this.btnEliminar.Location = new System.Drawing.Point(424, 64);
			this.btnEliminar.Name = "btnEliminar";
			this.btnEliminar.TabIndex = 6;
			this.btnEliminar.Text = "&Eliminar";
			this.btnEliminar.Click += new System.EventHandler(this.btnEliminar_Click);
			// 
			// Estados
			// 
			this.AcceptButton = this.btnAceptar;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.btnSalir;
			this.ClientSize = new System.Drawing.Size(536, 174);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.groupBox2);
			this.Name = "Estados";
			this.Text = "Catlogo de Estados";
			this.Load += new System.EventHandler(this.Estados_Load);
			this.groupBox1.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void btnSalir_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void btnAceptar_Click(object sender, System.EventArgs e)
		{
			try
			{
				// buscar el pais para ver si es cambio o alta
				mobileBO.Facade fachada = new mobileBO.Facade();
				estado = fachada.TraerEntidades(int.Parse(this.txtEstado.Text));
				if (estado == null)
				{
					//no existe, por lo tanto se creara una instancia nueva para su posterior insercion
					estado = new Entity.Entidad();
					this.txtDescripcion.Text="";
					this.cboPaises.SelectedIndex = -1;
				}
				else
				{
					this.cboPaises.SelectedValue = estado.Pais.PaisId;
					this.txtDescripcion.Text = estado.Descripcion;
				}
				this.cboPaises.Focus();
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.ToString());
			}
		}

		private void btnGuardar_Click(object sender, System.EventArgs e)
		{
			try
			{
				//Instanciamos fachada remota 
				mobileBO.Facade fachada = new mobileBO.Facade();				
				listaEstados=new Entity.ListaEntidades();

				//Asigno valores a la Entity entidad
				estado.Estado = int.Parse(this.txtEstado.Text);
				estado.Descripcion = this.txtDescripcion.Text;
				estado.Pais = listaPaises.FindByPrimaryKey(int.Parse(this.cboPaises.SelectedValue.ToString()));
				listaEstados.Add(estado);
				fachada.GuardarEntidad(ref listaEstados);

				// Inicializamos valores
				MessageBox.Show("Se Guardo Correctamente!!!");
				this.InicializarControles();
			}
			catch(Exception ex)
			{
				MessageBox.Show(ex.ToString());
			}
		}

		/// <summary>
		/// Inicializar los controles al estatus inicial
		/// </summary>
		private void InicializarControles()
		{
			this.txtEstado.Text="";
			this.txtDescripcion.Text="";
			this.txtEstado.Focus();
		}

		private void Estados_Load(object sender, System.EventArgs e)
		{
			//Instanciamos fachada remota 
			mobileBO.Facade fachada = new mobileBO.Facade();
			// esta instancia nos sirve de medio de transporte hacia componentes 
			//para sincronizar con la base de datos
			listaPaises = fachada.TraerPaises();

			// inicializamos el combo de paises
			this.cboPaises.DataSource = listaPaises;
			this.cboPaises.DisplayMember = "Descripcion";
			this.cboPaises.ValueMember = "PaisId";
		}

		private void btnEliminar_Click(object sender, System.EventArgs e)
		{
			//Instanciamos fachada remota 
			mobileBO.Facade fachada = new mobileBO.Facade();				
			
			// esta instancia nos sirve de medio de transporte hacia componentes 
			//para sincronizar con la base de datos
			listaEstados=new Entity.ListaEntidades();
			listaEstados.Add(estado);

			listaPaises.Remove(estado);

			fachada.GuardarEntidad(ref listaEstados);

			// Inicializamos valores
			MessageBox.Show("Se Guardo Correctamente!!!");
			this.InicializarControles();
		}
	}
}
